### Signal

# WPEWebKit WebContext::initialize-notification-permissions

since: 2.16

#### Declaration

    void
    initialize_notification_permissions (
      WebKitWebContext* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a `WebKitWebContext` needs to set initial notification permissions for a web process. It is emitted when a new web process is about to be launched, and signals the most appropriate moment to use webkit_web_context_initialize_notification_permissions(). If no notification permissions have changed since the last time this signal was emitted, then there is no need to call `webkit_web_context_initialize_notification_permissions()` again.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.16